window.onload = function () {

    /* ******************** Настройки служебные ******************** */
    SwitchRoom("room_preloader");
    // SwitchRoom('room_afterpreloader');

    // Массив событий для комнат и интерфейса
    var ticks = [];
    ticks["room_interface"] = new CustomEvent("room_interface");

    var curTime = new Date().getTime();
    var diffTickTime = 0;
    var FPS = 0;
    var startFPStime = curTime;

    // Заполняем ассациативный массив событиями
    for (var i = 0, len = rooms.length; i < len; i++) {
        ticks[ rooms[i] ] = new CustomEvent(rooms[i]);
    }

    var tmrGlobal = window.document.getElementById("tmr_global");
    var intervalTick = setInterval(function () {
        var newTime = new Date().getTime();
        diffTickTime = (newTime - curTime);
        curTime = newTime;

        if ( (curTime - startFPStime) >= 1000 ) {
            startFPStime = curTime;
            // ObjSet('txt_bottle_fps', { text: 'FPS: ' +FPS });
            FPS = 0;
        } else {
            FPS++;
        }

        ticks[currentRoom]['diffMs'] = diffTickTime;
        tmrGlobal.dispatchEvent(ticks[currentRoom]);
        tmrGlobal.dispatchEvent(ticks["room_interface"]);

    }, 20);

    function randomInteger(min, max) {
        var rand = min - 0.5 + Math.random() * (max - min + 1)
        rand = Math.round(rand);
        return rand;
    }

    /* ******************** Диалоги ******************** */
    var currentDialog = 0;
    var dialogs = [
        "1", // 0
        "2", // 1
        "", // 2
        "3", // 3
        "4", // 4
        "5", // 5
        "6", // 6
        "7", // 7
        "8", // 8
        "9", // 9
        "10", // 10
        "11", // 11
        "12", // 12
        "13", // 13
        "14", // 14
        "15", // 15
        "16", // 16
        "17", // 17
        "18", // 18
        "19", // 19
        "20", // 20
        "21", // 21
        "", // 22
        "22", // 23
        "", // 24
        "", // 25
        "", // 26
        "", // 27
        "", // 28
        "", // 29
        "", // 30
        "", // 31
        "", // 32
        "", // 33
        "", // 34
        "", // 35
        "", // 36
        "", // 37
        "", // 38
        "", // 39
        "", // 40
        "", // 41
        "" // 42
    ];

    function hideDialog() {
        ObjSet('spr_interface_dialog', { res: '', pos_x: 420, pos_y: 150, input: 0, alp: 0 });
    }

    showDialog = function(numDialog) {
        if (numDialog) {
            currentDialog = numDialog;
        }

        ObjSet('spr_interface_dialog', { res: 'images/dialogs/' + dialogs[currentDialog] + '.png', pos_x: 420, pos_y: 150, alp: 1, input: 1,
            event_mup: function() {
                showDialog();
            }
        });
        if (!dialogs[currentDialog]) {
            hideDialog();
        }

        if (currentDialog == 0) {
            ObjSet('spr_interface_dialog', { pos_x: 305, pos_y: 398 }); 
        } else if (currentDialog == 1) {
            ObjSet('spr_interface_dialog', { pos_x: 305, pos_y: 398 }); 
        } else if (currentDialog == 2) {
            ObjSet('spr_afterpreloader_phone', { alp: 1 });
            ObjAnimate('spr_afterpreloader_phone', 'pos_y', 0, 0, function() {
                ObjSet('spr_afterpreloader_phone', { input: 1 }); 
            }, [ 0,0,688, 1.5,0,288 ]);
        } else if (currentDialog == 20) {
            ObjSet('spr_interface_dialog', { pos_x: 200, pos_y: 258 }); 
        } else if (currentDialog == 21) {
            ObjSet('spr_interface_dialog', { pos_x: -305, pos_y: -398 });
            ObjSet('spr_afterpreloader_phone', { input: 0 });
            ObjAnimate('spr_afterpreloader_phone', 'pos_y', 0, 0, function() {
                ObjSet('spr_afterpreloader_phone', { input: 0, alp: 0 }); 
                ObjSet('spr_interface_dialog', { pos_x: 305, pos_y: 398 }); 
            }, [ 0,0,288, 1.5,0,688 ]);
        } else if ( (currentDialog == 3) ) {
            ObjSet('spr_interface_dialog', { pos_x: 440, pos_y: 258 }); 
        } else if ( (currentDialog == 22) ) {
            ObjSet('spr_interface_dialog', { pos_x: -440, pos_y: -258 }); 
            
            StopAllSounds();
            PlaySound("sounds/env_night.mp3", 1);

            SwitchRoom('room_beforehouse');

            ObjSet('spr_interface_inked_raven_link', { input: 1, alp: 1 }); 
            ObjSet('spr_interface_porngames_link', { input: 1, alp: 1 }); 

            ObjSet('spr_interface_inked_raven_link', { 
                event_mup: function() {
                    PlaySound("sounds/sfx_sound_penis.mp3", 0);
                    window.open('http://inkedravens.com/');
                },
                event_menter: function() {
                    ObjSet('spr_interface_inked_raven_link', { scale_x: 1, scale_y: 1 });
                },
                event_mleave: function() {
                    ObjSet('spr_interface_inked_raven_link', { scale_x: 0.8, scale_y: 0.8 });
                }
            });
            ObjSet('spr_interface_porngames_link', { 
                event_mup: function() {
                    PlaySound("sounds/sfx_sound_penis.mp3", 0);
                    window.open('http://porngames.com/');
                },
                event_menter: function() {
                    ObjSet('spr_interface_porngames_link', { scale_x: 1, scale_y: 1 });
                },
                event_mleave: function() {
                    ObjSet('spr_interface_porngames_link', { scale_x: 0.8, scale_y: 0.8 });
                }
            });
        } else if ( (currentDialog == 5)
            || (currentDialog == 6) 
            || (currentDialog == 7) 
            || (currentDialog == 9) 
            || (currentDialog == 10) 
            || (currentDialog == 11) 
            || (currentDialog == 12) 
            || (currentDialog == 13) 
            || (currentDialog == 14) 
            || (currentDialog == 16) 
            || (currentDialog == 17)  
            || (currentDialog == 18) 
            || (currentDialog == 19) 
        ) {
            ObjSet('spr_interface_dialog', { pos_x: 440, pos_y: 258 }); 
        } else if ( (currentDialog == 4) 
            || (currentDialog == 8) 
            || (currentDialog == 15) 
        ) {
            ObjSet('spr_interface_dialog', { pos_x: 200, pos_y: 258 }); 
        } else if (currentDialog == 23) {
            ObjSet('spr_interface_dialog', { pos_x: 440, pos_y: 398 }); 
        } else if (currentDialog == 24) {
            gameOver();
        }
        currentDialog++;
    }
    // currentDialog = 20;
    // showDialog();

    /* ******************** Прелоадер ******************** */
    var videoPreloaderStart = document.getElementById('video_preloader_start');
    var videoPreloaderEnd = document.getElementById('video_preloader_end');

    ObjSet('spr_preloader_continue', {
        event_mup: function() {
            ObjSet('spr_preloader_continue', { input: 0 });

            ObjSet('video_preloader_end', { alp: 1 });
            ObjSet('video_preloader_start', { alp: 0 });

            videoPreloaderStart.pause();
            videoPreloaderEnd.play();

            setTimeout(function() {
                SwitchRoom('room_afterpreloader');
            }, 2000);
        }
    });

    // ObjSet('spr_bottle_porngames_logo', {
    //     event_mup: function() {
    //         window.open('http://www.porngames.com/');
    //     },
    //     event_menter: function() {
    //         ObjSet('spr_bottle_porngames_logo', { scale_x: 1, scale_y: 1, pos_x: 630 });
    //     },
    //     event_mleave: function() {
    //         ObjSet('spr_bottle_porngames_logo', { scale_x: 0.8, scale_y: 0.8, pos_x: 635 });
    //     }
    // });

    // ObjSet('spr_bottle_the_sex_game_com_logo', {
    //     event_mup: function() {
    //         window.open('http://sexsim.com/');
    //     }
    // });

    /* ******************** Экран конца игры ******************** */
    gameOver = function () {
        ObjSet('spr_interface_inked_raven_link', { input: 0, alp: 0 }); 
        ObjSet('spr_interface_porngames_link', { input: 0, alp: 0 }); 

        SwitchRoom("room_win");
        PlaySound("sounds/sfx_the_end.mp3", 0);

        ObjSet('spr_win_again', { input: 0, alp: 0 });
        ObjSet('spr_win_more_girls', { input: 0, alp: 0 });
        ObjSet('spr_win_link_porn_games', { input: 0, alp: 0 });
        ObjSet('spr_win_the_end', { input: 0, alp: 0 });

        ObjAnimate('spr_win_the_end', 'scale_x', 0, 0, function() { }, [ 0,0,0.2, 0.6,0,1 ]);
        ObjAnimate('spr_win_the_end', 'scale_y', 0, 0, function() {

            ObjAnimate('spr_win_again', 'scale_x', 0, 0, function() { }, [ 0,0,0.2, 0.6,0,0.8 ]);
            ObjAnimate('spr_win_again', 'scale_y', 0, 0, function() {

                ObjAnimate('spr_win_more_girls', 'scale_x', 0, 0, function() { }, [ 0,0,0.2, 0.6,0,0.8 ]);
                ObjAnimate('spr_win_more_girls', 'scale_y', 0, 0, function() {

                    ObjAnimate('spr_win_link_porn_games', 'scale_x', 0, 0, function() { }, [ 0,0,0.2, 0.6,0,0.8 ]);
                    ObjAnimate('spr_win_link_porn_games', 'scale_y', 0, 0, function() {

                        ObjSet('spr_win_again', { input: 1 });
                        ObjSet('spr_win_more_girls', { input: 1 });
                        ObjSet('spr_win_link_porn_games', { input: 1 });

                    }, [ 0,0,0.2, 0.6,0,0.8 ]);
                    ObjAnimate('spr_win_link_porn_games', 'alp', 0, 0, function() { }, [ 0,0,0, 0.2,0,0.8 ]);

                }, [ 0,0,0.2, 0.6,0,0.8 ]);
                ObjAnimate('spr_win_more_girls', 'alp', 0, 0, function() { }, [ 0,0,0, 0.2,0,0.8 ]);

            }, [ 0,0,0.2, 0.6,0,0.8 ]);
            ObjAnimate('spr_win_again', 'alp', 0, 0, function() { }, [ 0,0,0, 0.2,0,0.8 ]);

        }, [ 0,0,0.2, 0.6,0,1 ]);
        ObjAnimate('spr_win_the_end', 'alp', 0, 0, function() { }, [ 0,0,0, 0.2,0,1 ]);
    }

    ObjSet('spr_win_again', { 
        event_mup: function() {
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            window.location.reload()
        },
        event_menter: function() {
            ObjSet('spr_win_again', { scale_x: 1, scale_y: 1 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        },
        event_mleave: function() {
            ObjSet('spr_win_again', { scale_x: 0.8, scale_y: 0.8 });
        }
    });

    ObjSet('spr_win_more_girls', { 
        event_mup: function() {
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            window.open('http://inkedravens.com/');
        },
        event_menter: function() {
            ObjSet('spr_win_more_girls', { scale_x: 1, scale_y: 1 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        },
        event_mleave: function() {
            ObjSet('spr_win_more_girls', { scale_x: 0.8, scale_y: 0.8 });
        }
    });

    ObjSet('spr_win_link_porn_games', { 
        event_mup: function() {
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            window.open('http://www.porngames.com/');
        },
        event_menter: function() {
            ObjSet('spr_win_link_porn_games', { scale_x: 1, scale_y: 1 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        },
        event_mleave: function() {
            ObjSet('spr_win_link_porn_games', { scale_x: 0.8, scale_y: 0.8 });
        }
    });

    /* ******************** Код игры ******************** */
    /* ******************** После прелоадера ******************** */
    ObjSet('spr_afterpreloader_phone_on', { 
        event_mup: function() {
            ObjSet('spr_afterpreloader_phone_people1', { input: 0, alp: 1 });
            ObjSet('spr_afterpreloader_phone_people2', { input: 1, alp: 1 });
            ObjSet('spr_afterpreloader_phone_people3', { input: 0, alp: 1 });
            ObjSet('spr_afterpreloader_phone', { res: './images/phone.png' });
            
        }
    });
    ObjSet('spr_afterpreloader_phone_off', { 
        event_mup: function() {
            ObjSet('spr_afterpreloader_phone_people1', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone_people2', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone_people3', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone', { res: './images/phone.png' });
        }
    });
    ObjSet('spr_afterpreloader_phone_people2', {
        event_mup: function() {
            // ObjSet('spr_afterpreloader_phone_people2', { scale_x: 1, scale_y: 1  });
            ObjSet('spr_afterpreloader_phone', { res: './images/phone11.png' });
            ObjSet('spr_afterpreloader_phone_people1', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone_people2', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone_people3', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone_on', { input: 0, alp: 0 });
            ObjSet('spr_afterpreloader_phone_off', { input: 0, alp: 0 });

            PlaySound("sounds/sfx_phone.mp3", 0);
            ObjSet('spr_afterpreloader_phone_call', { res: './images/phone_call_1.gif', alp: 1 });
            ObjAnimate(`spr_afterpreloader_phone_call`, 'alp', 0, 0, function() {
                // PlaySound("sounds/sfx_phone.mp3", 0);
                PlaySound("sounds/sfx_vibration.mp3", 0);

                ObjSet('spr_afterpreloader_phone_call', { res: './images/phone_call_2.gif', alp: 1 });
                ObjAnimate(`spr_afterpreloader_phone_call`, 'alp', 0, 0, function() {
                    
                    showDialog(3);

                    ObjSet('spr_afterpreloader_phone_call', { res: './images/phone_call_3.gif', alp: 1 });    
                    ObjAnimate(`spr_afterpreloader_phone_call`, 'alp', 0, 0, function() {
                    }, [ 0,0,'cur', 3,0,1 ]);
                }, [ 0,0,'cur', 3,0,1 ]);
            }, [ 0,0,'cur', 5,0,1 ]);
        },
        event_menter: function() {
            ObjSet('spr_afterpreloader_phone_people2', { scale_x: 1.1, scale_y: 1.1  });
        },
        event_mleave: function() {
            ObjSet('spr_afterpreloader_phone_people2', { scale_x: 1, scale_y: 1  });
        }
    });

    /* ******************** Анимация прелоадера ******************** */
    ObjAnimate(`spr_afterpreloader_presents`, 'alp', 0, 0, function() {
        ObjSet('spr_afterpreloader_spot', { alp: 1 });
        ObjSet('spr_afterpreloader_spot2', { alp: 1 });
        ObjAnimate(`spr_afterpreloader_spot`, 'pos_y', 1, 0, function() {
        }, [ 0,0,'cur', 1.7,0,700, 1.7,0,'cur' ]);
        ObjAnimate(`spr_afterpreloader_spot2`, 'pos_y', 1, 0, function() {
        }, [ 0,0,'cur', 1.3,0,700, 1.3,0,'cur' ]);

        ObjSet('spr_afterpreloader_play', { alp: 1, input: 1 });
    }, [ 0,0,'cur', 2.7,0,1, 3,0,1 ]);

    ObjSet('spr_afterpreloader_play', { 
        event_mup: function() {
            ObjSet('spr_afterpreloader_play', { alp: 0, input: 0 });
            ObjSet('spr_afterpreloader_presents', { alp: 0, input: 0 });
            ObjSet('spr_afterpreloader_spot', { alp: 0, input: 0 });
            ObjSet('spr_afterpreloader_spot2', { alp: 0, input: 0 });
            
            showDialog();
        }
    });

    // ObjAnimate(`spr_afterpreloader_presents2`, 'alp', 0, 0, function() {
    //     ObjAnimate(`spr_afterpreloader_presents3`, 'alp', 0, 0, function() {
    //         // SwitchRoom('room_beforehouse');
    //         showDialog();
    //     }, [ 0,0,'cur', 2.7,0,1, 3,0,0 ]);
    // }, [ 0,0,'cur', 2.7,0,1, 3,0,0 ]);

    /* ******************** У дома ******************** */
    // стрелка
    ObjAnimate(`spr_beforehouse_arrow`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,232, 3,0,'cur' ]);
    ObjAnimate(`spr_beforehouse_arrow`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,362, 3,0,'cur' ]);
    ObjSet('spr_beforehouse_arrow', { 
        event_mup: function() {
            StopAllSounds();
            PlaySound("sounds/env_inside.mp3", 1);
            SwitchRoom('room_stairs');
        }
    });

    // лужа
    ObjSet('spr_beforehouse_puddle', { 
        event_mup: function() {
            ObjSet('spr_beforehouse_puddle', { input: 0 });
            PlaySound("sounds/sfx_rod_1.mp3", 0);

            ObjSet('spr_beforehouse_fishing', { res: 'images/fishing1.gif' });
            ObjAnimate(`spr_beforehouse_fishing`, 'alp', 0, 0, function() {
                ObjSet('spr_beforehouse_fishing', { input: 0, alp: 0 });
                isGotKey = true;
            }, [ 0,0,'cur', 6,0,1 ]);

            ObjAnimate(`spr_beforehouse_fishing`, 'pos_x', 0, 0, function() {
                PlaySound("sounds/sfx_rod_2.mp3", 0);
            }, [ 0,0,'cur', 3.5,0,'cur' ]);

            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    /* ******************** Лестница ******************** */
    // стрелка
    ObjAnimate(`spr_stairs_arrow`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,232, 3,0,'cur' ]);
    ObjAnimate(`spr_stairs_arrow`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,362, 3,0,'cur' ]);
    ObjSet('spr_stairs_arrow', { 
        event_mup: function() {
            if (isVisibleHorse) {
                PlaySound("sounds/env_horse.mp3", 0);
            }
            SwitchRoom('room_3room');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    ObjAnimate(`spr_stairs_arrow2`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,450, 3,0,'cur' ]);
    ObjSet('spr_stairs_arrow2', { 
        event_mup: function() {
            SwitchRoom('room_beforehouse');

            StopAllSounds();
            PlaySound("sounds/env_night.mp3", 1);
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    // урна
    ObjSet('spr_stairs_rubbishbin', { 
        event_mup: function() {
            ObjAnimate(`spr_stairs_rubbishbin`, 'alp', 0, 0, function() {
                ObjSet('spr_stairs_rubbishbin', { res: './images/rubbish_bin.gif' });
                isGotKey = true;
            }, [ 0,0,'cur', 6,0,1 ]);

            ObjSet('spr_stairs_rubbishbin', { res: './images/rubbish_bin1.gif', input: 0 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    /* ******************** Окно ******************** */
    // стрелка
    ObjAnimate(`spr_3room_arrow`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,232, 3,0,'cur' ]);
    ObjAnimate(`spr_3room_arrow`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,362, 3,0,'cur' ]);
    ObjSet('spr_3room_arrow', { 
        event_mup: function() {
            SwitchRoom('room_stairs');

            // StopAllSounds();
            // PlaySound("sounds/env_inside.mp3", 1);

            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    ObjAnimate(`spr_3room_arrow2`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,682, 3,0,'cur' ]);
    ObjAnimate(`spr_3room_arrow2`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,362, 3,0,'cur' ]);
    ObjSet('spr_3room_arrow2', { 
        event_mup: function() {
            SwitchRoom('room_4room');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            PlaySound("sounds/sfx_laugh_adult.mp3", 1);
            PlaySound("sounds/sfx_bicycle.mp3", 1);
        }
    });

    ObjSet('spr_3room_arrow', { 
        event_mup: function() {
            SwitchRoom('room_stairs');

            // StopAllSounds();
            // PlaySound("sounds/env_inside.mp3", 1);

            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    var isVisibleHorse = true;
    // лошадь
    ObjSet('spr_3room_horse', { 
        event_mup: function() {
            ObjAnimate(`spr_3room_horse`, 'alp', 0, 0, function() {
                ObjSet('spr_3room_horse', { res: '' });
                isGotKey = true;
            }, [ 0,0,'cur', 6,0,1 ]);
            
            ObjSet('spr_3room_horse', { res: './images/horse1.gif', input: 0 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);

            isVisibleHorse = false;
            StopSound("sounds/env_horse.mp3", 0);
        }
    });

    // кукушка
    ObjSet('spr_3room_watch', { 
        event_mup: function() {
            ObjSet('spr_3room_watch', { res: './images/watch1.gif', input: 0 });
            PlaySound("sounds/sfx_watch.mp3", 0);
            isGotKey = true;
            // PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    /* ******************** Моньяк ******************** */
    // стрелка

    ObjAnimate(`spr_4room_arrow`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,680, 3,0,'cur' ]);
    ObjSet('spr_4room_arrow', { 
        event_mup: function() {
            // SwitchRoom('room_6room');
            if (isSwingRope) {
                PlaySound("sounds/env_rope.mp3", 1);
            }
            SwitchRoom('room_5corridor');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            StopSound("sounds/sfx_laugh_adult.mp3", 0);
            StopSound("sounds/sfx_bicycle.mp3", 0);
            
        }
    });

    ObjAnimate(`spr_4room_arrow2`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,462, 3,0,'cur' ]);
    ObjSet('spr_4room_arrow2', { 
        event_mup: function() {
            if (isVisibleHorse) {
                PlaySound("sounds/env_horse.mp3", 0);
            }
            SwitchRoom('room_3room');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            StopSound("sounds/sfx_laugh_adult.mp3", 0);
            StopSound("sounds/sfx_bicycle.mp3", 0);
        }
    });

    // клоун
    ObjSet('spr_4room_doll', { 
        event_mup: function() {
            ObjAnimate(`spr_4room_doll`, 'alp', 0, 0, function() {
                ObjSet('spr_4room_doll', { res: './images/doll11.gif' });
                isGotKey = true;
            }, [ 0,0,'cur', 6,0,1 ]);

            ObjSet('spr_4room_doll', { res: './images/doll1.gif', input: 0 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });    

    /* ******************** 5 комната ******************** */
    // стрелка
    ObjAnimate(`spr_5corridor_arrow`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,270, 3,0,'cur' ]);
    ObjSet('spr_5corridor_arrow', { 
        event_mup: function() {
            SwitchRoom('room_6room');
            StopSound("sounds/sfx_laugh_adult.mp3", 0);
            StopSound("sounds/sfx_bicycle.mp3", 0);
            StopSound("sounds/env_rope.mp3", 0);
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    ObjAnimate(`spr_5corridor_arrow2`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,462, 3,0,'cur' ]);
    ObjSet('spr_5corridor_arrow2', { 
        event_mup: function() {
            PlaySound("sounds/sfx_laugh_adult.mp3", 1);
            PlaySound("sounds/sfx_bicycle.mp3", 1);
            SwitchRoom('room_4room');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            StopSound("sounds/env_rope.mp3", 0);
        }
    });

    // веревка
    ObjSet('spr_5corridor_rope', { 
        event_mup: function() {
            isSwingRope = false;
            StopSound("sounds/env_rope.mp3", 0);
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            
            ObjAnimate(`spr_5corridor_rope`, 'alp', 0, 0, function() {
                ObjSet('spr_5corridor_rope', { res: './images/rope11.gif' });
                isGotKey = true;
            }, [ 0,0,'cur', 9,0,1 ]);

            ObjAnimate(`spr_5corridor_rope`, 'pos_x', 0, 0, function() {
                PlaySound("sounds/sfx_sound_penis.mp3", 0);
            }, [ 0,0,'cur', 4,0,'cur' ]);
            
            ObjSet('spr_5corridor_rope', { res: './images/rope1.gif', input: 0 });
            
        }
    });    

    var isGotKey = false;
    // дверь
    ObjSet('spr_5corridor_door', { 
        event_mup: function() {
            if (isGotKey) {
                isGotKey = false;
                PlaySound("sounds/sfx_lock_opened.mp3", 0);
                ObjAnimate(`spr_5corridor_door`, 'pos_x', 0, 0, function() {
                    startVideoBonus();    
                }, [ 0,0,'cur', 3,0,'cur' ]);
            } else {
                PlaySound("sounds/sfx_door_closed.mp3", 0);
            }
        }
    });   
    

    /* ******************** Картина ******************** */
    // стрелка
    var isSwingRope = true;
    ObjAnimate(`spr_6room_arrow`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,242, 3,0,'cur' ]);
    ObjAnimate(`spr_6room_arrow`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,310, 3,0,'cur' ]);
    ObjSet('spr_6room_arrow', { 
        event_mup: function() {
            if (isSwingRope) {
                PlaySound("sounds/env_rope.mp3", 1);
            }
            SwitchRoom('room_5corridor');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    var isTvWork = true;

    ObjAnimate(`spr_6room_arrow2`, 'pos_x', 1, 0, function() { }, [ 0,0,'cur', 2,0,692, 3,0,'cur' ]);
    ObjSet('spr_6room_arrow2', { 
        event_mup: function() {
            SwitchRoom('room_7room');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            if (isTvWork) {
                PlaySound("sounds/env_tv.mp3", 1);
            }
        }
    });

    // картина
    ObjSet('spr_6room_picture', { 
        event_mup: function() {
            ObjAnimate(`spr_6room_picture`, 'alp', 0, 0, function() {
                ObjSet('spr_6room_picture', { res: './images/picture11.gif' });
                isGotKey = true;
            }, [ 0,0,'cur', 11,0,1 ]);
            ObjAnimate(`spr_6room_picture`, 'pos_x', 0, 0, function() {
                PlaySound("sounds/sfx_paper_torn.mp3", 0);    
            }, [ 0,0,'cur', 3.5,0,'cur' ]);

            ObjSet('spr_6room_picture', { res: './images/picture1.gif', input: 0 });
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            
        }
    }); 

    /* ******************** Телевизор ******************** */
    // стрелка
    ObjAnimate(`spr_7room_arrow2`, 'pos_y', 1, 0, function() { }, [ 0,0,'cur', 2,0,462, 3,0,'cur' ]);
    ObjSet('spr_7room_arrow2', { 
        event_mup: function() {
            SwitchRoom('room_6room');
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            StopSound("sounds/env_tv.mp3", 0);
        }
    });

    // tv
    ObjSet('spr_7room_tv', { 
        event_mup: function() {
            isTvWork = false;
            ObjAnimate(`spr_7room_tv`, 'alp', 0, 0, function() {
                ObjSet('spr_7room_tv', { res: './images/tv11.gif' });
                isGotKey = true;
            }, [ 0,0,'cur', 9,0,1 ]);

            ObjSet('spr_7room_tv', { res: './images/tv1.gif', input: 0 });
            // PlaySound("sounds/sfx_sound_penis.mp3", 0);
            StopSound("sounds/env_tv.mp3", 0);
        }
    }); 

    /* ******************** видео комната ******************** */
    var currentVideo = 0;
    var videoBonus = document.getElementById('spr_video_bonus');

    ObjSet('spr_video_back', { 
        event_mup: function() {
            endVideoBonus();
        }
    }); 

    startVideoBonus = function() {
        SwitchRoom('room_video');
        StopAllSounds();
        currentVideo++;
        if (currentVideo >= 9) {
            return endVideoBonus();
        }
        videoBonus.src = './video/' + currentVideo + '.mp4';
    }

    function endVideoBonus() {
        videoBonus.src = '';

        switch(currentVideo) {
            case 1:
                ObjSet('spr_stairs_rubbishbin', { input: 1 });
                break;
          
            case 2:
                ObjSet('spr_5corridor_rope', { input: 1 });
                break;
          
            case 3:
                ObjSet('spr_beforehouse_puddle', { input: 1 });
                break;
          
            case 4:
                ObjSet('spr_3room_horse', { input: 1 });
                break;
          
            case 5:
                ObjSet('spr_3room_watch', { input: 1 });
                break;
          
            case 6:
                ObjSet('spr_6room_picture', { input: 1 });
                break;
          
            case 7:
                ObjSet('spr_4room_doll', { input: 1 });
                break;
        }

        StopAllSounds();

        if (currentVideo >= 8) {

            SwitchRoom('room_beforehouse');
            ObjSet('spr_beforehouse_arrow', { input: 0, alp: 0 });

            ObjSet('spr_win_link_porn_games', { input: 0, alp: 0 });
            ObjSet('spr_win_more_girls', { input: 0, alp: 0 });

            ObjSet('spr_interface_inked_raven_link', { input: 0, alp: 0 }); 
            ObjSet('spr_interface_porngames_link', { input: 0, alp: 0 });
            ObjSet('spr_beforehouse_raven', { input: 0, alp: 0 });

            showDialog();
        } else {
            SwitchRoom('room_5corridor');
            if (isSwingRope) {
                PlaySound("sounds/env_rope.mp3", 1);
            }
            PlaySound("sounds/env_inside.mp3", 1);
        }
    }

    /* ******************** Комната ******************** */
    // SwitchRoom('room_beforehouse');
    // SwitchRoom('room_stairs');
    // SwitchRoom('room_3room');
    // SwitchRoom('room_4room');
    // SwitchRoom('room_5corridor');
    // SwitchRoom('room_6room');
    // SwitchRoom('room_7room');
    // SwitchRoom('room_video');
};